Package org.mariadb.jdbc.plugin.authentication.addon

# Class ClearPasswordPlugin

java.lang.Object
org.mariadb.jdbc.plugin.authentication.addon.ClearPasswordPlugin

All Implemented Interfaces:
  `AuthenticationPlugin`

public class ClearPasswordPlugin extends Object implements AuthenticationPlugin
Clear password plugin.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE`
plugin name

## Constructor Summary

Constructors
Constructor
Description
`ClearPasswordPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
Initialization.
`org.mariadb.jdbc.client.ReadableByteBuf`
`process(Writer out, Reader in, org.mariadb.jdbc.client.Context context)`
Send password in clear text to server.
`boolean`
`requireSsl()`
Authentication plugin required SSL to be used
`String`
`type()`
Authentication plugin type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.plugin.AuthenticationPlugin

`hash, isMitMProof`

## Field Details

### TYPE

public static final String TYPE
plugin name

See Also:
  - Constant Field Values

## Constructor Details

### ClearPasswordPlugin

public ClearPasswordPlugin()

## Method Details

### type

public String type()
Description copied from interface: `AuthenticationPlugin`
Authentication plugin type.

Specified by:
  `type` in interface `AuthenticationPlugin`
Returns:
  authentication plugin type. ex: mysql_native_password

### requireSsl

public boolean requireSsl()
Description copied from interface: `AuthenticationPlugin`
Authentication plugin required SSL to be used

Specified by:
  `requireSsl` in interface `AuthenticationPlugin`
Returns:
  true if SSL is required

### initialize

public void initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)
Initialization.

Specified by:
  `initialize` in interface `AuthenticationPlugin`
Parameters:
  `authenticationData` - authentication data (password/token)
  `seed` - server provided seed
  `conf` - Connection string options
  `hostAddress` - host information

### process

public org.mariadb.jdbc.client.ReadableByteBuf process(Writer out, Reader in, org.mariadb.jdbc.client.Context context) throws IOException
Send password in clear text to server.

Specified by:
  `process` in interface `AuthenticationPlugin`
Parameters:
  `out` - out stream
  `in` - in stream
  `context` - context
Returns:
  response packet
Throws:
  `IOException` - if socket error